import { Ref } from 'vue';
interface CustomViewer {
    update: () => void;
    destroy: () => void;
    show: (img: HTMLImageElement) => void;
}
export declare const viewerMap: WeakMap<Element, CustomViewer>;
export declare const useViewer: (imgContainer: Ref<HTMLElement>) => {
    view: (img: HTMLImageElement | undefined) => void;
};
export default useViewer;
