declare const _default: import("vue").DefineComponent<{
    minWidth: {
        type: NumberConstructor;
        default: number;
    };
    padding: {
        type: StringConstructor;
        default: string;
    };
    arrow: {
        type: BooleanConstructor;
        default: boolean;
    };
    placement: {
        type: StringConstructor;
        default: string;
    };
    offsetX: {
        type: NumberConstructor;
        default: number;
    };
    offsetY: {
        type: NumberConstructor;
        default: number;
    };
    trigger: {
        type: StringConstructor;
        default: string;
    };
    interactive: {
        type: BooleanConstructor;
        default: boolean;
    };
    manual: {
        type: BooleanConstructor;
        default: boolean;
    };
    theme: {
        type: StringConstructor;
        default: string;
    };
    prevent: {
        type: BooleanConstructor;
        default: boolean;
    };
    to: {
        type: StringConstructor;
    };
}, {
    contentRef: import("vue").Ref<HTMLElement | undefined>;
    containerRef: import("vue").Ref<HTMLElement | undefined>;
    show: () => void;
    hide: () => void;
    toggle: () => void;
    onMouseDown: (event: MouseEvent) => void;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, Record<string, any>, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<{
    minWidth?: unknown;
    padding?: unknown;
    arrow?: unknown;
    placement?: unknown;
    offsetX?: unknown;
    offsetY?: unknown;
    trigger?: unknown;
    interactive?: unknown;
    manual?: unknown;
    theme?: unknown;
    prevent?: unknown;
    to?: unknown;
} & {
    manual: boolean;
    minWidth: number;
    padding: string;
    arrow: boolean;
    placement: string;
    offsetX: number;
    offsetY: number;
    trigger: string;
    interactive: boolean;
    theme: string;
    prevent: boolean;
} & {
    to?: string | undefined;
}>, {
    manual: boolean;
    minWidth: number;
    padding: string;
    arrow: boolean;
    placement: string;
    offsetX: number;
    offsetY: number;
    trigger: string;
    interactive: boolean;
    theme: string;
    prevent: boolean;
}>;
export default _default;
