/// <reference types="prosemirror-model" />
import { ComponentPublicInstance } from "vue";
declare const _default: import("vue").DefineComponent<{
    editor: {
        type: import("vue").PropType<import("@tiptap/core").Editor>;
        required: boolean;
    };
    node: {
        type: import("vue").PropType<import("prosemirror-model").Node<any>>;
        required: boolean;
    };
    decorations: {
        type: import("vue").PropType<import("prosemirror-view").Decoration<{
            [key: string]: any;
        }>[]>;
        required: boolean;
    };
    selected: {
        type: import("vue").PropType<boolean>;
        required: boolean;
    };
    extension: {
        type: import("vue").PropType<import("@tiptap/vue-3").Node<any>>;
        required: boolean;
    };
    getPos: {
        type: import("vue").PropType<() => number>;
        required: boolean;
    };
    updateAttributes: {
        type: import("vue").PropType<(attributes: Record<string, any>) => void>;
        required: boolean;
    };
    deleteNode: {
        type: import("vue").PropType<() => void>;
        required: boolean;
    };
}, {
    imgRef: import("vue").Ref<HTMLImageElement | undefined>;
    imgResizerBoxRef: import("vue").Ref<HTMLElement | undefined>;
    resizingInfoRef: import("vue").Ref<HTMLElement | undefined>;
    imgWrapperRef: import("vue").Ref<ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>> | undefined>;
    imgSrc: import("vue").ComputedRef<string>;
    isEditable: import("vue").ComputedRef<boolean | undefined>;
    minSize: number;
    posPoints: string[];
    width: any;
    height: any;
    view: (img: HTMLImageElement | undefined) => void;
    onImgLoad: () => void;
    focus: () => void;
    onMouseDown: (event: MouseEvent) => void;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, Record<string, any>, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<{
    editor?: unknown;
    node?: unknown;
    decorations?: unknown;
    selected?: unknown;
    extension?: unknown;
    getPos?: unknown;
    updateAttributes?: unknown;
    deleteNode?: unknown;
} & {} & {
    selected?: boolean | undefined;
    node?: import("prosemirror-model").Node<any> | undefined;
    decorations?: import("prosemirror-view").Decoration<{
        [key: string]: any;
    }>[] | undefined;
    editor?: import("@tiptap/core").Editor | undefined;
    deleteNode?: (() => void) | undefined;
    updateAttributes?: ((attributes: Record<string, any>) => void) | undefined;
    extension?: import("@tiptap/vue-3").Node<any> | undefined;
    getPos?: (() => number) | undefined;
}>, {}>;
export default _default;
