import { Node } from '@tiptap/core';
import { SuggestionOptions } from '@tiptap/suggestion';
import { Node as ProseMirrorNode } from 'prosemirror-model';
export declare type MentionOptions = {
    feeds: string[];
    HTMLAttributes: Record<string, any>;
    renderLabel: (props: {
        options: MentionOptions;
        node: ProseMirrorNode;
    }) => string;
    suggestion: Omit<SuggestionOptions, 'editor'>;
};
declare const Mention: Node<MentionOptions>;
export default Mention;
